## binutils 2.16.91cs2005q3.2-5.osso1

=== debian/changelog ===
binutils (2.16.91cs2005q3.2-5.osso1) unstable; urgency=low

  * Changelog cleanup
  * Dependences cleanup 
  * armel support added

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 23 May 2006 18:51:01 +0300

binutils (2.16.91cs2005q3.2-5) unstable; urgency=low

  * rebuild with a cs2005q3.2-7

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 16 May 2006 18:46:13 +0400

binutils (2.16.91cs2005q3.2-4) unstable; urgency=low

  * proper glibc/uclibc support

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 30 Mar 2006 13:43:14 +0400

binutils (2.16.91cs2005q3.2-3) unstable; urgency=low

  * recompiled with cs2005q3.2-5 toolchain package

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Sat, 18 Mar 2006 02:44:07 +0300

binutils (2.16.91cs2005q3.2-2) unstable; urgency=low

  * recompiled with cs2005q3.2-4 toolchain package 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 15 Mar 2006 21:37:18 +0300

binutils (2.16.91cs2005q3.2-1) unstable; urgency=low

  * initial cs2005q3.2 release

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  1 Mar 2006 18:12:21 +0300

binutils (2.16.91cs2005q3.1-1) unstable; urgency=low

  * Start debianised version binutils-2005q3-1 from CodeCourcery. debian/ directory
  based on debianized binutils-2.16.1cvs20051214 from James Troup <james@nocrew.org>.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Jan 2006 16:52:57 +0300
