=== debian/control ===
Source: binutils
Section: devel
Priority: standard
Maintainer: James Troup <james@nocrew.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 3.6.2.1
Build-Depends: dpkg-dev (>= 1.13.9), autoconf (>= 2.13), bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2-1), dpatch, file

Package: binutils
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: ${mainConflicts}
Provides: elf-binutils
Suggests: binutils-doc (= ${Source-Version})
Description: The GNU assembler, linker and binary utilities
 The programs in this package are used to assemble, link and manipulate
 binary and object files.  They may be used in conjunction with a compiler
 and various libraries to build programs.

Package: binutils-dev
Architecture: any
Priority: extra
Depends: binutils (= ${Source-Version})
Conflicts: libbfd-dev
Provides: libbfd-dev
Replaces: libbfd-dev, libc5-dev
Description: The GNU binary utilities (BFD development files)
 This package includes header files and static libraries necessary to build
 programs which use the GNU BFD library, which is part of binutils.  Note
 that building Debian packages which depend on the shared libbfd is Not
 Allowed.

Package: binutils-multiarch
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, binutils (= ${Source-Version})
Provides: multiarch-binutils
Description: Binary utilities that support multi-arch targets
 The programs in this package are used to manipulate binary and object
 files that may have been created on other architectures.  This package
 is primarily for multi-architecture developers and cross-compilers and
 is not needed by normal users or developers.  Note that a cross-assembling
 version of gas is not included in this package, just the binary utilities.
 NORMAL USERS SHOULD NOT INSTALL THIS PACKAGE.  It's meant only for those
 requiring support for reading info from binaries from other architectures.

Package: binutils-hppa64
Architecture: hppa
Depends: ${shlibs:Depends}, binutils (>= ${Source-Version})
Recommends: libc6-dev
Suggests: binutils-doc (>= ${Source-Version})
Description: The GNU assembler, linker and binary utilities targeted for hppa64-linux
 The programs in this package are used to assemble, link and manipulate
 binary and object files.  They may be used in conjunction with a compiler
 and various libraries to build programs.
 .
 This package is needed to build an 64-bit kernel for 64-bit hppa machines.

Package: binutils-doc
Section: doc
Architecture: all
Priority: optional
Conflicts: binutils (<< 2.9.1.0.25-3)
Suggests: binutils (= ${Source-Version})
Description: Documentation for the GNU assembler, linker and binary utilities
 This package consists of the documentation for the GNU assembler,
 linker and binary utilities.
