=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for binutils (2.16.1cvs20050902)
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1998-2005 James Troup
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

################################################################################

include /usr/share/dpatch/dpatch.make

################################################################################

p_bin = binutils
p_dev = $(p_bin)-dev
p_mul = $(p_bin)-multiarch
p_doc = $(p_bin)-doc
p_hppa64 = $(p_bin)-hppa64

pwd   := $(shell pwd)
d     = debian/tmp
d_bin = $(d)
d_dev = debian/$(p_dev)
d_mul = debian/$(p_mul)
d_doc = debian/$(p_doc)
d_hppa64 = debian/$(p_hppa64)

install_dir    = install -d -m 755
install_file   = install -m 644
install_script = install -m 755
install_binary = install -m 755 -s

DEB_BUILD_GNU_TYPE  := $(shell gcc -dumpmachine)
DEB_HOST_GNU_TYPE   := $(shell gcc -dumpmachine)
DEB_TARGET_GNU_TYPE := $(shell gcc -dumpmachine)
DEB_HOST_ARCH 	    := $(shell dpkg-architecture -qDEB_HOST_ARCH)

CC     = gcc
CFLAGS = -g -O2
STRIP  = strip --remove-section=.comment --remove-section=.note

VERSION       = $(shell sed -n 's/^ *VERSION=\(.*\)/\1/p' bfd/configure)
MULTI_VERSION = $(VERSION)-multiarch
HPPA64_VERSION= $(VERSION)-hppa64

########################################

CONFARGS = --enable-shared --prefix=/usr --build=$(DEB_BUILD_GNU_TYPE) \
	   --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_TARGET_GNU_TYPE)

CONFLICTS = -VmainConflicts="gas, elf-binutils, modutils (<< 2.4.19-1)"

ifeq ($(DEB_HOST_ARCH),sparc)
	CONFARGS += --enable-targets=sparc64-linux-gnu
	CONFLICTS = -VmainConflicts="gas, elf-binutils, modutils (<< 2.4.19-1), libc6-dev-sparc64 (<< 2.2.5-7)"
endif
ifeq ($(DEB_HOST_ARCH),sparc64)
	CONFARGS += --enable-targets=sparc-linux-gnu
	CONFLICTS = -VmainConflicts="gas, elf-binutils, libc6-dev-sparc64 (<< 2.2.5-7)"
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
	CONFARGS += --enable-targets=powerpc64-linux-gnu
endif
ifeq ($(DEB_HOST_ARCH),s390)
	CONFARGS += --enable-targets=s390x-linux-gnu
endif
ifeq ($(DEB_HOST_ARCH),i386)
	CONFARGS += --enable-targets=$(DEB_TARGET_GNU_TYPE)
endif
ifeq ($(DEB_HOST_ARCH),arm)
	CONFARGS += --enable-targets=$(DEB_TARGET_GNU_TYPE)
endif
ifeq ($(DEB_HOST_ARCH),armel)
	CONFARGS += --enable-targets=$(DEB_TARGET_GNU_TYPE)
endif
ifeq ($(DEB_HOST_ARCH),mips)
       CONFARGS += --enable-targets=mips64-linux-gnu
endif
ifeq ($(DEB_HOST_ARCH),mipsel)
       CONFARGS += --enable-targets=mips64el-linux-gnu
endif
ifeq ($(DEB_HOST_ARCH),ia64)
	CONFARGS += --disable-werror
endif

################################################################################

################
# clean target #
################

clean: unpatch
	$(checkdir)
	-rm -fr builddir-multi builddir-single builddir-hppa64
	-find . -name \*.gmo -o -name \*~ -o -name \*.info | xargs rm -f
	-rm -f $(pwd)/test-summary
	-rm -fr $(d_bin) $(d_dev) $(d_mul) $(d_doc) $(d_hppa64)
	-rm -rf debian/patched debian/tmp debian/files debian/substvars

################################################################################

#######################
# single-arch targets #
#######################

configure-single-stamp: patch-stamp
	$(checkdir)
	rm -rf configure-single-stamp \
		builddir-single
	mkdir builddir-single
	cd builddir-single && env CC="$(CC)" \
		../configure $(CONFARGS)
	$(MAKE) -C builddir-single configure-host
	touch configure-single-stamp

build-single-stamp: configure-single-stamp
	$(checkdir)
	$(MAKE) -C builddir-single/bfd headers
	$(MAKE) -C builddir-single \
		CFLAGS="$(CFLAGS)"
	-$(MAKE) -C builddir-single -k \
		CFLAGS="$(CFLAGS)" check
#	cat builddir-single/binutils/binutils.sum \
#	    builddir-single/gas/testsuite/gas.sum \
#	    builddir-single/ld/ld.sum >> $(pwd)/test-summary
	touch build-single-stamp

################################################################################

#####################
# multiarch targets #
#####################

configure-multi-stamp: patch-stamp
	$(checkdir)
	rm -rf configure-multi-stamp \
		builddir-multi
	mkdir builddir-multi
	cd builddir-multi \
	    && env CC="$(CC)" ../configure $(CONFARGS) \
		--enable-targets=arm-none-linux-gnu,arm-none-linux-gnueabi,arm-none-linux-uclibc,arm-none-linux-uclibceabi,i486-gnu,i486-linux-gnu
	$(MAKE) -C builddir-multi configure-host
	touch configure-multi-stamp

build-multi-stamp: configure-multi-stamp
	$(checkdir)
	$(MAKE) -C builddir-multi/bfd headers
	env MAKE="$(MAKE) VERSION=$(MULTI_VERSION)" \
         $(MAKE) -C builddir-multi \
		CFLAGS="$(CFLAGS)"
	touch build-multi-stamp

################################################################################

#################
# hppa64 target #
#################

configure-hppa64-stamp: patch-stamp
	$(checkdir)
	rm -rf configure-hppa64-stamp \
		builddir-hppa64
	mkdir builddir-hppa64
	cd builddir-hppa64 \
	    && env CC="$(CC)" ../configure \
		--enable-shared \
		--prefix=/usr \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_BUILD_GNU_TYPE) \
		--target=hppa64-linux-gnu
	$(MAKE) -C builddir-hppa64 configure-host
	touch configure-hppa64-stamp

build-hppa64-stamp: configure-hppa64-stamp
	$(checkdir)
	$(MAKE) -C builddir-hppa64/bfd headers
	env MAKE="$(MAKE) VERSION=$(HPPA64_VERSION)" \
         $(MAKE) -C builddir-hppa64 \
		CFLAGS="$(CFLAGS)"
	touch build-hppa64-stamp

build_stamps = build-single-stamp build-multi-stamp
ifeq ($(DEB_HOST_ARCH),hppa)
       build_stamps += build-hppa64-stamp
endif
build: build-stamp
build-stamp: $(build_stamps)
	touch build-stamp


################################################################################

##################
# install target #
##################

install_stamps = install-stamp
ifeq ($(DEB_HOST_ARCH),hppa)
       install_stamps += install-hppa64-stamp
endif
install: $(install_stamps)
install-stamp: checkroot build-stamp
	$(checkdir)

	rm -fr $(d_bin) $(d_dev) $(d_mul) $(d_doc)
	$(install_dir) $(d_bin) $(d_dev) $(d_mul) $(d_doc)

	: # install binutils and -dev stuff
	$(MAKE) -C builddir-single \
		CFLAGS="$(CFLAGS)" prefix=$(pwd)/$(d_bin)/usr \
		mandir=$(pwd)/$(d_bin)/usr/share/man \
		infodir=$(pwd)/$(d_doc)/usr/share/info install

	: # now install binutils-multiarch stuff
	env MAKE="$(MAKE) VERSION=$(MULTI_VERSION)" \
         $(MAKE) -C builddir-multi \
		CFLAGS="$(CFLAGS)" \
		prefix=$(pwd)/$(d_mul)/usr \
		mandir=$(pwd)/$(d_mul)/usr/share/man \
		infodir=$(pwd)/$(d_doc)/usr/share/info install

	: # copy libiberty.h ... not too keen on this, but it was requested
	cp -f include/libiberty.h $(d_bin)/usr/include

	: # We don't need to distribute everything in binutils and -dev
	rm -rf $(d_bin)/usr/include/obstack.h
	rm -f $(d_bin)/usr/man/man1/configure.1
	rm -f $(d_doc)/usr/share/info/configure.* $(d_doc)/usr/share/info/standards.*
	: # *sigh*, bugs.debian.org/213524
	rm -f $(d_doc)/usr/share/info/dir*

	: # Now get rid of just about everything in binutils-multiarch
	rm -rf $(d_mul)/usr/man $(d_mul)/usr/info $(d_mul)/usr/include
	rm -rf $(d_mul)/usr/share/man $(d_mul)/usr/share/info $(d_mul)/usr/share/locale

	: # Get rid of ld for the time being since it's suddenly unhappy when
	: # linking kernels.  Also get rid of the ldscripts for good measure.
	rm -f $(d_mul)/usr/bin/as $(d_mul)/usr/bin/gasp $(d_mul)/usr/bin/c++filt \
	       $(d_mul)/usr/bin/ld
	rm -rf $(d_mul)/usr/lib/ldscripts

	$(install_dir) $(d_dev)/usr/include/ $(d_dev)/usr/lib/
	mv $(d_bin)/usr/include/* $(d_dev)/usr/include/
	mv $(d_bin)/usr/lib/*.a $(d_bin)/usr/lib/libbfd.so $(d_bin)/usr/lib/libopcodes.so \
	   $(d_dev)/usr/lib/

	rm -f $(d_mul)/usr/lib/libbfd.so $(d_mul)/usr/lib/libopcodes.so
	rm -f $(d_mul)/usr/lib/*.la
	rm -f $(d_mul)/usr/lib/libiberty*
