## binutils 2.29.1

=== debian/changelog ===
binutils (2.29.1-4ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Oct 2017 20:17:16 +0200

binutils (2.29.1-4) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171001.
    - PR ld/22220, BFD linker wrongly marks symbols as PREVAILING_DEF_IRONLY.
    - PR ld/22199, x86-64: Don't pass output_bfd to info->callbacks->minfo.
    - [GOLD] Set non-exec stack for ppc64.
  * Move man/{go,}ld.1.gz to binutils-common (Helmut Grohne). Closes: #877266.
  * Build-depend on target g++ compilers instead of target gcc compilers.
  * Fail when string merge can't alloc memory, taken from the trunk.
    Closes: #874674.
  * Fix legacy cross builds. Closes: #876677.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Oct 2017 20:16:22 +0200

binutils (2.29.1-3ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Sep 2017 14:05:22 +0200

binutils (2.29.1-3) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170923.
    - gold: Add --no-relax option.
    - readelf: Handle E_MIPS_MACH_5900.
    - gold: PowerPC function address in non-PIC.
    - Fix PR binutils/22163, PR binutils/22170.
  * libbinutils: Fix generation of upper dependency for two-number versions.
  * debian/rules. Remove the old cross build targets.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Sep 2017 14:00:50 +0200

binutils (2.29.1-1ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Sep 2017 10:15:56 +0200

binutils (2.29.1-1) unstable; urgency=medium

  * binutils 2.29.1 release.
  * Convert to package source format 3.0 (quilt).

 -- Matthias Klose <doko@debian.org>  Wed, 20 Sep 2017 10:11:56 +0200

binutils (2.29-13ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Sep 2017 13:09:15 +0200

binutils (2.29-13) unstable; urgency=medium

  * Build again all cross packages.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Sep 2017 13:11:06 +0200

binutils (2.29-12) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170919.
    - Fix PR ld/21441, PowerPC64 stubs don't match calculated size.
      Closes: #876134.
    - Fix PR ld/22048, Incorrect .eh_frame section in libc.so.
    - Fix PR ld/22150, ld keeps a version reference for gc'd symbols.
      Closes: #874585. LP: #1715641.
    - Fix PR ld/22148, Integer overflow in elf64-x86-64.c.
    - Fix PR ld/21924, Require GCC 5 or above for 3 x86 tests.
  * Fix installation of test summaries.
  * Compare test summaries for cross builds.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Sep 2017 13:04:07 +0200

binutils (2.29-10ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Sep 2017 12:05:46 +0200

binutils (2.29-10) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170915.
    - Fix PR binutils/22047 (CVE-2017-14129), PR binutils/22018.
  * gold on 32bit archs: Release mapped files after each pass.
  * Build-depend on cross compilers to run the tests for the binutils
    cross packages.
  * Install the ldscripts into /usr/lib/<multiarch>/ldscripts and move
    ldscripts into the binutils-<triplet> packages.
  * Install the unprefixed manual packages into binutils-common and
    derive the timestamps from the debian/changelog entry.
  * binutils-<triplet>: Remove dependency on binutils.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Sep 2017 11:55:58 +0200

binutils (2.29-9ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Sep 2017 09:29:12 +0200

binutils (2.29-9) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170906.
    - Fix PR binutils/22032, PR binutils/21786 (CVE-2017-12451),
      PR binutils/21787 (CVE-2017-12448), PR binutils/21813 (CVE-2017-12450,
      CVE-2017-12452, CVE-2017-12453, CVE-2017-12454), PR ld/21824,
      PR binutils/21916, PR ld/21441, PR ld/22067, PR ld/22064, PR ld/22061,
      PR binutils/22059 (CVE-2017-14128), PR binutils/21933 (CVE-2017-12799),
      PR binutils/22060, PR binutils/22058 (CVE-2017-14130), PR binutils/21995,
      PR binutils/21861, PR binutils/21813 (CVE-2017-12456), PR binutils/21909,
      PR binutils/21820, PR binutils/21990, PR binutils/21994, PR ld/21441,
      PR ld/22064, PR ld/22061, PR lto/81968, PR lto/81968, PR lto/81925.
  * Fix typo in control.in interpolation when TARGET is non-empty (Helmut
    Grohne). Addresses: #873387.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Sep 2017 08:14:12 +0200

binutils (2.29-8ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Aug 2017 08:13:33 +0200

binutils (2.29-8) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170830.
    - Fix PR gold/21868. Closes: #830540, #869768.
    - Fix address violation issues when parsing corrupt binaries.
    - PR gold/21847: Provide symbol flag for PowerPC64 localentry:0 tracking.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Aug 2017 08:03:09 +0200

binutils (2.29-7) unstable; urgency=high

  * Fix binutils dependency on binutils-<triplet> on non amd64 architectures.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Aug 2017 23:51:26 +0200

binutils (2.29-6ubuntu3) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Aug 2017 12:04:08 +0200

binutils (2.29-6) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170823.

