=== debian/control ===
Source: binutils
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: James Troup <binutils@elmo.tasta.io>
Standards-Version: 4.1.0
Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.17.11),
  bison, flex, gettext, texinfo, dejagnu, quilt, chrpath,
  python3:any, file, xz-utils, lsb-release, zlib1g-dev,
  g++-aarch64-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-arm-linux-gnueabi [amd64 arm64 i386 x32] <!nocheck>,
  g++-arm-linux-gnueabihf [amd64 arm64 i386 x32] <!nocheck>,
  g++-mips-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-mips64el-linux-gnuabi64 [amd64 i386 x32] <!nocheck>,
  g++-mipsel-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-powerpc64le-linux-gnu [amd64 i386 ppc64 x32] <!nocheck>,
  g++-s390x-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-alpha-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-hppa-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-m68k-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-mips64-linux-gnuabi64 [amd64 i386 x32] <!nocheck>,
  g++-powerpc-linux-gnu [amd64 i386 ppc64el x32] <!nocheck>,
  g++-powerpc-linux-gnuspe [amd64 i386 x32] <!nocheck>,
  g++-powerpc64-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-sh4-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-sparc64-linux-gnu [amd64 i386 x32] <!nocheck>,
Build-Conflicts: libelf-dev
Homepage: https://www.gnu.org/software/binutils/
Vcs-Browser: https://code.launchpad.net/~doko/binutils/pkg-2.29-debian
Vcs-Bzr: http://bazaar.launchpad.net/~doko/binutils/pkg-2.29-debian
XS-Testsuite: autopkgtest

Package: binutils-for-host
Architecture: any
Depends: ${binutils:native} (>= ${binutils:minver}),
  binutils-common (= ${binary:Version}),
Multi-Arch: same
Description: GNU assembler, linker and binary utilities for the host architecture
 The programs in this package are used to assemble, link and manipulate
 binary and object files for the architecture of this package.  They may be
 used in conjunction with a matching compiler and various libraries to build
 programs. When using binutils through this metapackage, all tools must be
 used with an architecture prefix.

Package: binutils-for-build
Architecture: all
Depends: binutils (>= ${binutils:minver}),
  binutils-common (>= ${binutils:minver})
Multi-Arch: foreign
Description: GNU assembler, linker and binary utilities for the build architecture
 The programs in this package are used to assemble, link and manipulate
 binary and object files for the native architecture.  They may be used in
 conjunction with a build architecture compiler and various libraries to build
 programs. When using binutils through this metapackage, tools without an
 architecture prefix must be used.

Package: binutils
Architecture: any
Depends: ${shlibs:Depends}, binutils-common (= ${binary:Version}),
  libbinutils (= ${binary:Version}), ${binutils:native} (= ${binary:Version})
Conflicts: modutils (<< 2.4.19-1), ${extraConflicts},
  binutils-multiarch (<< 2.27-8)
Breaks: hardening-wrapper (<< 2.8+nmu3)
Provides: elf-binutils, ${gold:Provides}
Suggests: binutils-doc (>= ${source:Version})
Description: GNU assembler, linker and binary utilities
 The programs in this package are used to assemble, link and manipulate
 binary and object files.  They may be used in conjunction with a compiler
 and various libraries to build programs.

Package: libbinutils
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, binutils-common (= ${binary:Version})
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities (private shared library)
 This package includes the private shared libraries libbfd and libopcodes.

Package: binutils-dev
Architecture: any
Priority: extra
Depends: binutils (= ${binary:Version}), libbinutils (= ${binary:Version})
Conflicts: libbfd-dev
Provides: libbfd-dev
Replaces: libbfd-dev, libc5-dev
Description: GNU binary utilities (BFD development files)
 This package includes header files and static libraries necessary to build
 programs which use the GNU BFD library, which is part of binutils.  Note
 that building Debian packages which depend on the shared libbfd is Not
 Allowed.

Package: binutils-multiarch
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, binutils (= ${binary:Version}),
  binutils-common (= ${binary:Version})
Description: Binary utilities that support multi-arch targets
 The programs in this package are used to manipulate binary and object
 files that may have been created on other architectures.  This package
 is primarily for multi-architecture developers and cross-compilers and
 is not needed by normal users or developers.  Note that a cross-assembling
 version of gas is not included in this package, just the binary utilities.
 .
 NORMAL USERS SHOULD NOT INSTALL THIS PACKAGE.  It's meant only for those
 requiring support for reading info from binaries from other architectures.

Package: binutils-multiarch-dev
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
 binutils-dev (= ${binary:Version}), binutils-multiarch (= ${binary:Version})
Replaces: binutils-multiarch (<< 2.24-5)
Description: GNU binary utilities that support multi-arch targets (BFD development files)
 This package includes header files, static and shared libraries necessary
 to build programs which use the GNU BFD library for multi-arch targets,
 which is part of binutils. Note that building Debian packages which depend
 on the shared libbfd is Not Allowed.
 .
 NORMAL USERS SHOULD NOT INSTALL THIS PACKAGE.  It's meant only for those
 requiring support for reading info from binaries from other architectures.

Package: binutils-hppa64-linux-gnu
Architecture: amd64 i386 x32 hppa
Depends: ${shlibs:Depends}, binutils (= ${binary:Version}),
  binutils-common (= ${binary:Version})
Recommends: libc6-dev
Provides: binutils-hppa64
Suggests: binutils-doc (>= ${source:Version})
Breaks: binutils-hppa64 (<< 2.25.1-2)
Replaces: binutils-hppa64 (<< 2.25.1-2)
Description: GNU assembler, linker and binary utilities targeted for hppa64-linux
 The programs in this package are used to assemble, link and manipulate
 binary and object files.  They may be used in conjunction with a compiler
 and various libraries to build programs.
 .
 This package is needed to build an 64-bit kernel for 64-bit hppa machines.

Package: binutils-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Priority: optional
Suggests: binutils (= ${binary:Version})
Description: Documentation for the GNU assembler, linker and binary utilities
 This package consists of the documentation for the GNU assembler,
 linker and binary utilities in info format.

Package: binutils-source
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: texinfo, zlib1g-dev, make, python
Description: GNU assembler, linker and binary utilities (source)
 This package contains the sources and patches which are needed to
 build binutils.

Package: binutils-common
Architecture: any
Multi-Arch: same
Breaks: binutils (<< 2.29.1-3.1~)
Replaces: binutils (<< 2.29.1-3.1~)
Description: Common files for the GNU assembler, linker and binary utilities
 This package contains the localization files used by binutils packages for
 various target architectures and parts of the binutils documentation. It is
 not useful on its own.

Package: binutils-x86-64-linux-gnu
Architecture: amd64
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Priority: extra
Multi-Arch: foreign
Description: GNU binary utilities, for x86-64-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for x86-64-linux-gnu target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for x86-64-linux-gnu.

Package: binutils-i686-linux-gnu
Architecture: i386
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: binutils-i586-linux-gnu
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Priority: extra
Multi-Arch: foreign
Description: GNU binary utilities, for i686-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for i686-linux-gnu target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for i686-linux-gnu.

Package: binutils-aarch64-linux-gnu
Architecture: arm64 amd64 i386 x32
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Priority: extra
Multi-Arch: foreign
Description: GNU binary utilities, for aarch64-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for aarch64-linux-gnu target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for aarch64-linux-gnu.

Package: binutils-arm-linux-gnueabihf
Architecture: armhf amd64 i386 x32 arm64
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Priority: extra
Multi-Arch: foreign
Description: GNU binary utilities, for arm-linux-gnueabihf target
 This package provides GNU assembler, linker and binary utilities
 for arm-linux-gnueabihf target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for arm-linux-gnueabihf.

Package: binutils-arm-linux-gnueabi
Architecture: armel amd64 i386 x32 arm64
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Priority: extra
Multi-Arch: foreign
Description: GNU binary utilities, for arm-linux-gnueabi target
 This package provides GNU assembler, linker and binary utilities
 for arm-linux-gnueabi target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for arm-linux-gnueabi.

Package: binutils-mips-linux-gnu
Architecture: mips amd64 i386 x32
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Priority: extra
Multi-Arch: foreign
Description: GNU binary utilities, for mips-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for mips-linux-gnu target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for mips-linux-gnu.

Package: binutils-mipsel-linux-gnu
Architecture: mipsel amd64 i386 x32
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Priority: extra
Multi-Arch: foreign
Description: GNU binary utilities, for mipsel-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for mipsel-linux-gnu target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for mipsel-linux-gnu.

Package: binutils-mips64el-linux-gnuabi64
Architecture: mips64el amd64 i386 x32
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Priority: extra
Multi-Arch: foreign
Description: GNU binary utilities, for mips64el-linux-gnuabi64 target
